%define version 4.3.2
%define name suck
%define release 0.fdr.9
%define epoch 0

Name: %{name}
Summary: Suck - download news from remote NNTP server
Version: %{version}
Release: %{release}.1
Epoch: %{epoch}
Source: http://www.sucknews.org/%{name}-%{version}.tar.gz
Source1: active-ignore
Source2: suck-4.3.2.site
Source3: README.Fedora
URL: http://www.sucknews.org
Patch: suck-4.3.2-rh.patch
Patch1: suck-4.3.2-perl.patch
Patch2: suck-4.3.2-samples.patch
Packager: Jochen Schmitt <Jochen@herr-schmitt.de>
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
License: Public Domain
Group: System Environment/Daemons
BuildRequires: inn-devel >= 0:2.3, perl >= 3:5.8
BuildRequires: openssl-devel, autoconf 
Requires: inn >= 0:2.3
Conflicts: leafnode

%description
This package contains software for copying news from an NNTP server to your
local machine, and copying replies back up to an NNTP server.  It works
with most standard NNTP servers, including INN, CNEWS, DNEWS, and typhoon.

%prep
%setup -q
%patch -p1
%patch1 -p1
%patch2 -p1

cp %{SOURCE3} .

autoconf
%configure --with-inn-lib=/usr/lib/news/lib \
           --with-inn-include=/usr/include/inn

%build
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall mandir=${RPM_BUILD_ROOT}%{_mandir}/man1
mkdir -p ${RPM_BUILD_ROOT}%{_libdir}/news/bin
mkdir -p ${RPM_BUILD_ROOT}/var/lib/news/suck
mkdir -p ${RPM_BUILD_ROOT}/etc/sysconfig/suck

cp sample/get.news.inn ${RPM_BUILD_ROOT}%{_libdir}/news/bin/getnews
cp sample/put.news.sm ${RPM_BUILD_ROOT}/var/lib/news/suck/
cp sample/put.news.sm.pl ${RPM_BUILD_ROOT}/var/lib/news/suck/
cp %{SOURCE1} ${RPM_BUILD_ROOT}/var/lib/news/suck
cp %{SOURCE2} ${RPM_BUILD_ROOT}/etc/sysconfig/suck/site

%clean
rm -rf $RPM_BUILD_ROOT

%files

%defattr(0644,root,root,0755)
%doc README CHANGELOG sample README.Fedora

%defattr(-,root,root,0755)
%{_bindir}/suck
%{_bindir}/rpost
%{_bindir}/testhost
%{_bindir}/lmove
%{_libdir}/news/bin/getnews
/var/lib/news/suck/put.news.sm
/var/lib/news/suck/put.news.sm.pl
/var/lib/news/suck/active-ignore
%{_mandir}/man1/suck.1*
%{_mandir}/man1/rpost.1*
%{_mandir}/man1/testhost.1*
%{_mandir}/man1/lmove.1*

%config(noreplace) /etc/sysconfig/suck/site

%changelog
* Wed Apr 21 2004 Jochen Schmitt <Jochen@herr-schmitt.de>
- Corrected condition in getnews script

* Mon Mar 29 2004 Jochen Schmitt <Jochen@herr-schmitt.de>
- Corrected Conflicts entry

* Thu Mar 25 2004 Jochen Schmitt <Jochen@herr-schmitt.de>
- Fixed problem with newsserver which need authorizations

* Tue Mar 23 2004 Jochen Schmitt <Jochen@herr-schmitt.de>
- Use perl filter as default
- Added '#include <XSUB.h>' to perl depended source files
- Documentation of Fedora specific behaviour of this package
- Fix some bugs in getnews/put.news.sm
- Use ExtUtils:Embed in configure.in

* Sun Mar 21 2004 Jochen Schmitt <Jochen@herr-schmitt.de>
- Changes on the mkstmp patch
- Remove 'strip -s' from the Makefile

* Thu Mar 18 2004 Jochen Schmitt <Jochen@herr-schmitt.de>
- Replace tmpnam to mkstemp
- Linkoptions will be generated by 'perl -MExtUtils::Embend'

* Tue Mar 16 2004 Jochen Schmitt <Jochen@herr-schmitt.de>
- Integating of proposed changes at bugzilla item #1374

* Mon Mar 15 2004 Jochen Schmitt <Jochen@herr-schmitt.de>
- Copy put.news.sm.pl to /var/lib/news/suck
- Rename of the configuration variables

* Thu Mar 11 2004 Jochen Schmitt <Jochen@herr-schmitt.de>
- Some changes becouse messages of rpmlint

* Thu Mar 09 2004 Jochen Schmitt <Jochen@herr-schmitt.de>
- Adapt getnews-script for using with INN 2.4.1 
- Configuration file in /etc/sysconfig/suck

* Thu Mar 08 2004 Jochen Schmitt <Jochen@herr-schmitt.de>
- patch default history to /var/lib/news
